## libccp4 6.4.5

=== debian/changelog ===
libccp4 (6.4.5-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:19:08 +0000

libccp4 (6.4.5-2) unstable; urgency=medium

  * use autoreconf to fix compilation on newer architectures

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 30 Jul 2014 14:31:25 +0200

libccp4 (6.4.5-1) unstable; urgency=medium

  * Imported Upstream version 6.4.5
  * debian/patches
    - 0001-fix-FTBFS-on-kfreebsd-and-hurd.patch (applyed by upstream)
    - 0002-fix-FTBFS-for-powerpc.patch (applyed by upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 Jul 2014 14:05:11 +0200

libccp4 (6.4.0~rc1-1~experimental3) experimental; urgency=low

  * debian/patches
    + 0002-fix-FTBFS-for-powerpc.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 15 Sep 2013 08:51:48 +0200

libccp4 (6.4.0~rc1-1~experimental2) experimental; urgency=low

  * debian/patches
    + 0001-fix-FTBFS-on-kfreebsd-and-hurd.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 14 Sep 2013 12:13:21 +0200

libccp4 (6.4.0~rc1-1~experimental1) experimental; urgency=low

  * Imported Upstream version 6.4.0~rc1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Sep 2013 17:14:04 +0200

libccp4 (6.3.1-1~experimental1) experimental; urgency=low

  * Initial release (Closes: #721529)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Dec 2012 17:01:53 +0100
