=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-shared --datadir=/usr/share/ccp4

override_dh_strip:
	dh_strip -plibccp4c0 --dbg-package=libccp4c0-dbg
	dh_strip -plibccp4f0 --dbg-package=libccp4f0-dbg
	dh_strip -a -Nlibccp4c0 -Nlibccp4f0
