=== debian/watch ===
version=3
ftp://ftp.ccp4.ac.uk/opensource/libccp4-(.*)\.tar\.gz|bz2
