## libccp4 6.5.1

=== debian/changelog ===
libccp4 (6.5.1-5) unstable; urgency=medium

  * Adding a patch to fix endianness checks (Closes: #979314).
    Thanks Maarten L. Hekkelman.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Jan 2021 06:35:49 -0500

libccp4 (6.5.1-4) unstable; urgency=medium

  * Installing files to binary packages using debian/*.install files.

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 05:49:00 -0400

libccp4 (6.5.1-3) unstable; urgency=medium

  * Adding a patch to fix type mismatch problems with GCC-10.
  * Bumping debhelper-compat. Adding debian/not-installed.
  * Ignoring argument mismatch for gfortran as a workaround for #957430.
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Jul 2020 09:06:08 -0400

libccp4 (6.5.1-2) unstable; urgency=medium

  [ Andrius Merkys ]
  * Fixing long descriptions (Closes: #813824)

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.
  * Adding debian/todo.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.

  [ Andrius Merkys ]
  * Wrapping and sorting.
  * Adding 'Rules-Requires-Root: no'.
  * Using my Debian e-mail.

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Jun 2020 23:52:40 -0400

libccp4 (6.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright
    - Added entry for the rest of the files.
    - HTTP -> HTTPS
  * debian/compat: bump to 11
  * debian/control
    - Removed useless dependency on dh-autoreconf
    - Bump Standards-Version 4.1.4 (nothing to do)
    - Migrated debug symbols package
  * debian/watch: turning on passive FTP mode

 -- Andrius Merkys <andrius.merkys@gmail.com>  Thu, 03 May 2018 03:31:15 -0400

libccp4 (6.5.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 6.5.1
  * Standards-Version bump to 3.9.6
  * Update Vcs-* fields to use https
  * Migrate -dbg package to ddeb

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 16 Aug 2016 14:07:58 +0200

libccp4 (6.4.6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 6.4.6
  * debian/control
    - Build-Depends: libmmdb-dev -> libmmdb2-dev
  * debian/patches
    + 0001-use-mmdb2-instead-of-mmdb-in-libccp4f.pc.in.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 31 Dec 2014 10:38:36 +0100
