=== debian/control ===
Source: libccp4
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Andrius Merkys <merkys@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 libmmdb2-dev,
 m4,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/libccp4.git
Vcs-Browser: https://salsa.debian.org/science-team/libccp4
Homepage: http://www.ccp4.ac.uk/

Package: libccp4-data
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - common files
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.
 .
 This package provides the common files for the CCP4 library.

Package: libccp4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libccp4c0 (= ${binary:Version}),
 libccp4f0 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - development files
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.

Package: libccp4c0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libccp4-data,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - C runtime
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.
 .
 This package provides the runtime of the CCP4 C library.

Package: libccp4f0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - fortran runtime
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.
 .
 This package provides the runtime of the CCP4 fortran library.
