=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Work-around for #957430. Upstream has confirmed that argument mismatch
# is not critical, and even desired, especially for QREAD and QWRITE.
FFLAGS += -fallow-argument-mismatch

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-shared --datadir=/usr/share/ccp4

override_dh_strip:
	dh_strip -plibccp4c0 --dbgsym-migration='libccp4c0-dbg (<< 6.5.1-1~)'
	dh_strip -plibccp4f0 --dbgsym-migration='libccp4f0-dbg (<< 6.5.1-1~)'
	dh_strip -a -Nlibccp4c0 -Nlibccp4f0
