=== debian/watch ===
version=3
opts="passive" ftp://ftp.ccp4.ac.uk/opensource/libccp4-(.*)\.tar\.gz|bz2
