## libccp4 8.0.0

=== debian/changelog ===
libccp4 (8.0.0-5) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * Fix compilation with gcc-15 (Closes: #1097169)

  [ Michael R. Crusoe ]
  * salsa-ci: enable

 -- Andrius Merkys <merkys@debian.org>  Mon, 08 Sep 2025 01:56:47 -0400

libccp4 (8.0.0-4) unstable; urgency=medium

  * Add a temporary work-around for #1075155.

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Sep 2024 05:25:24 -0400

libccp4 (8.0.0-3) unstable; urgency=medium

  * uploaded into unstable
  * Bug fix: "NMU diff for 64-bit time_t transition", thanks to Steve
    Langasek (Closes: #1063124).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2024 21:19:13 +0200

libccp4 (8.0.0-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 07:49:38 +0000

libccp4 (8.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Adjust patch names.

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Nov 2022 07:44:53 -0500

libccp4 (8.0.0-1) experimental; urgency=medium

  * Update debian/watch.
  * New upstream version 8.0.0 (Closes: #1019861)
  * Refresh patches.
  * Use secure URI in Homepage field.
  * Drop transition for old debug package migration.
  * Update standards version to 4.1.5, no changes needed.
  * Remove debian/TODO.

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Nov 2022 09:38:22 -0500
