=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  gfortran,
  libmmdb2-dev,
  m4,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/science-team/libccp4.git
 Vcs-Browser: https://salsa.debian.org/science-team/libccp4
-Homepage: http://www.ccp4.ac.uk/
+Homepage: https://www.ccp4.ac.uk/
 
 Package: libccp4-data
 Architecture: all
@@ -63,8 +63,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libccp4c0 (= ${binary:Version}),
- libccp4f0 (= ${binary:Version}),
+ libccp4c0t64 (= ${binary:Version}),
+ libccp4f0t64 (= ${binary:Version}),
  ${misc:Depends},
 Pre-Depends:
  ${misc:Pre-Depends},
@@ -100,7 +100,10 @@
     just like a simple C array, but can be resized at will without
     incurring excessive overheads.
 
-Package: libccp4c0
+Package: libccp4c0t64
+Provides: ${t64:Provides}
+Replaces: libccp4c0
+Breaks: libccp4c0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -144,7 +147,10 @@
  .
  This package provides the runtime of the CCP4 C library.
 
-Package: libccp4f0
+Package: libccp4f0t64
+Provides: ${t64:Provides}
+Replaces: libccp4f0
+Breaks: libccp4f0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
