=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Work-around for #1075155 for the time being.
# The upstream has been notified, -Wno-incompatible-pointer-types should be removed when a proper fix appears.
CFLAGS += -Wno-incompatible-pointer-types

# Work-around for #957430. Upstream has confirmed that argument mismatch
# is not critical, and even desired, especially for QREAD and QWRITE.
FFLAGS += -fallow-argument-mismatch

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-shared --datadir=/usr/share/ccp4

override_dh_strip:
	dh_strip -plibccp4c0t64
	dh_strip -plibccp4f0t64
	dh_strip -a -Nlibccp4c0t64 -Nlibccp4f0t64
