=== debian/watch ===
version=4
https://ftp.ccp4.ac.uk/opensource/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
